Deploy Agent
Use this endpoint to Deploy Agent Appliance
Authorized Roles : PROVIDER
Request
URI
POST
https://{api_host}/provider/agent/deploy
COPY
Request Body
DeployAgentDTO
of type(s)
application/json
Required
{
"vmName": "string",
"dmsVcSessionId": "string",
"ovfTemplateDetails": {
"ovaName": "string",
"url": "string",
"thumbPrint": "string"
},
"vcDeploymentDetails": {
"datacenterMor": "string",
"vmFolderMor": "string",
"clusterMor": "string",
"resourcePoolMor": "string",
"diskType": "string",
"dataStoreMor": "string",
"controlNWPortGroupMor": "string",
"hostMor": "string",
"vaRootPassword": "string",
"vaAdminPassword": "string",
"ntp": "string",
"gateway": "string",
"dns": "string",
"ip0": "string",
"netmask": "string"
}
}
string
vmName
Required
vmName
string As uuid
As uuid
dmsVcSessionId
Required
dmsVcSessionId
Responses
200
OK
Returns
MasterTaskResult
of type(s)
application/vnd.vmware.dms-v1+json
{
"task_id": "string"
}
string As uuid
As uuid
task_id
Optional
task_id
400
Bad Request
Operation doesn't return any data structure